#
# spec file for package python-zict
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-zict
Version:        0.1.3
Release:        lp150.1.1
Summary:        Mutable mapping tools
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/dask/zict/
Source:         https://files.pythonhosted.org/packages/source/z/zict/zict-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module HeapDict}
BuildRequires:  %{python_module pytest}
%endif
Requires:       python-HeapDict
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Mutable Mapping interfaces for python.

%prep
%setup -q -n zict-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Sat Mar  3 2018 arun@gmx.de
- specfile:
  * update copyright year
  * don't use python_module in requires
* Tue Oct 31 2017 arun@gmx.de
- update to version 0.1.3:
  * update travis.yml to track Python 3.6
  * evict returns key, value, and weight
  * Add LRU.evict method (#18)
  * add links to readme and setup.py
* Thu Jul 13 2017 toddrme2178@gmail.com
- Initial version
